%define upstream_name    Parse-Eyapp
%define upstream_version 1.182

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Bottom up parser generator
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util) >= 1.0.0
BuildRequires: perl(Pod::Usage) >= 1.0.0
BuildRequires: perl-devel
%description
Parse::Eyapp (Extended yapp) is a collection of modules that extends Francois
Desarmenien Parse::Yapp 1.05. Eyapp extends yacc/yapp syntax with
functionalities like named attributes, EBNF-like expressions, modifiable
default action (like Parse::RecDescent autoaction), grammar reuse, automatic
abstract syntax tree building, syntax directed data generation, translation
schemes, tree regular expressions, tree transformations, scope analysis
support, directed acyclic graphs and a few more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README TODO examples
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_bindir}/eyapp
%{_bindir}/treereg
%{perl_vendorlib}/Parse

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.182.0-2.mga3
+ Revision: 371530
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.182.0-1.mga3
+ Revision: 255310
- update to 1.182

* Tue Feb 22 2011 jquelin <jquelin> 1.181.0-1.mga1
+ Revision: 56738
- update to 1.181

* Wed Feb 16 2011 jquelin <jquelin> 1.180.0-1.mga1
+ Revision: 52637
- update to 1.180

* Sun Jan 23 2011 jquelin <jquelin> 1.178.0-1.mga1
+ Revision: 34124
- mageia rebuild
- imported package perl-Parse-Eyapp

